Introduction

The PLPost component of the PLPak is the one responsible for viewing the structural analysis results after the PL Core Man has performed the structural analysis based on Boundary Element Modeling. The PL Post can be used to view the analysis results at boundaries and supports. In order to view results in internal points, the PL Post will resolve for these internal points.

The PLPost operation diagram

The figure below shows the operation diagram for the PLPost module.

Starting the PL Post

The PLPost could either be run from the PLCoreMan as follows or directly:

Step#1: Load the model from .LC file on PLCoreMan

Step#2: Load the PLPost


The PLPost menus

The File menu

File | Import LC

Brings up a dialog box for selecting .LC file. The user can navigate elsewhere to open another .LC file from the default folder.

File | Open

Brings up a dialog box for selecting a .LC file. The dialog box will show the location of the last project that was open. (The user can navigate elsewhere to open another .LC file.)

File | Save

Saves the current state of the open .LC file

File | Page setup

Brings up a dialog box in which the user can choose the size of the paper, setup the orientation and setup the margins

File | Print Preview

Brings up a small window in which the user can preview the .gen file before printing

File | Print

Brings up a dialog box in which the user can the choose the printer and print the current .gen file

File | Settings

Brings up a dialog box used to define the PlPost solver path.


The View menu

View | Toolbars

Used to control which toolbars should appear on the screen, the same function can be performed using right click on any toolbar.


View | Windows

The windows menu provides options of tiling different PLGen windows that are used at the same time.


View | View options

Clicking on View Options allows you to change the drawing sequence of the result elements, Grid Spacing, Element Thickness, Opacity and Colors of different elements.


View | Fonts

This option allows you to control the fonts used in the results display.


View | Show/Hide Reactions

The Show/Hide commands can be used to show or hide Loads, No. of divisions of every element, Co-ordinates of the cursor, grid and axis.


View | Show/Hide Legends


The Draw menu

Items that are available from the Draw Menu are available from the draw toolbar.

Draw | Linear St


Draw | Rec. Contour

This strip allows you to view stress results on a series of points. After clicking on rectangular strip, draw the rectangle which will represents the results area. To see control of results check section Results Manager.


Draw | Quad. Contour

This strip allows you to view stress results on a series of points. After clicking on quadrilateral strip, draw the quadrilateral whose results are under inspection. To see control of results check section Results Manager.


Draw | Principal Directions

This command allows you to view stress resultants maximum and minimum in the whole model. Please note that before showing principal directions, Main Contours have to be solved.


The Action menu

All commands in Action Menu are available from the Action Toolbar.


Action | Solve

After drawing any strip or results area, click on Solve command to Solve all points within the drawn areas.


Action | Query

This command is used to show stress resultant one single point, Click on Query then click on the required point. The results shown are explained in the next section (Results Manager).


Action | Results Manager

This command shows the results manager which is used to control the properties of the strips and result areas which have been previously drawn.

PLPost Results

The following table shows the results that can be shown by PLPost.

Quantity | Description
Rx | Rotation about the X axis
Ry | Rotation about the Y axis
Uz | Deflection in Z axis direction
Mxx | Bendng moment in X direction
Mxy | Twisting moments about X and Y directions
Myy | Bendng moment in Y direction
Qx | Shear Force in X direction
Qy | Shear Force in Y direction
Mii | Bendng moment in i direction
Mij | Twisting moments about i and j directions
Mjj | Bendng moment in j direction
Qi | Shear Force in i direction
Qj | Shear Force in j direction
Mmax | Maximum principal bending moment
Mmin | Minimum principal bending moment
Mxxdes | Design moment in X direction
Myydes | Design moment in Y direction
Miides | Design moment in i direction
Mjjdes | Design moment in j direction

Strips:

Strips: This part of results manager is used to control strip properties including ID, Start and End points, No. of points within the strip, type of stress resultant that is required to be displayed at this strip. Export command is used to export a tabulated format of the strip results, the produced tables can be used by any spreadsheet software.

Contours:

This part of the Results Manager is used to control properties of the contour areas. Main Contour is used to display contours all over the model, this is the only contour that can not be deleted. Using this dialogue you can control Contour ID, Type of stress component to be displayed, N which is the number of colours within the contour, spacing between points to be solved within the contour. Export command is used to export a tabulated format of the strip results, the produced tables can be used by any spreadsheet software.

Column Plot:

This part of result manager is used to show contour results at supports. This part is used to control the number of contour colours and type of stress component to be displayed. Export command is used to export a tabulated format of the strip results, the produced tables can be used by any spreadsheet software.


Action | Paths Manager


Action | Select Case

This command is used to add , modify or remove load cases and combos that are required to be solved and displayed by PLPOST.

Defining load combinations:

Load combos can be defined from this combo.


Action | Assemblies

This command is used to show the cell properties. In order to show assembly results, type the cell number in the lower left box, then click add. The assembly results can be read at the normal X and Y directions or at any direction. The results at principal directions can be shown using the command “use principal”. The results can be exported to a file with a format that can be opened using any spreadsheet software.


Action | PL controls

Refer to PLCoreMan manual.


Action | Beams

This command is used to display and edit beam results. The produced dialogue is used to show beam nodes, directions, and type of stress component that should be displayed on the beam.


Refer to PLView manual.


10

PLPAK V1.01 User Manual - PLPOST


2

PLPAK V1.01 User Manual - PLPOST


4

PLPAK V1.01 User Manual - PLPOST


9

PLPAK V1.01 User Manual - PLPOST


12

PLPAK V1.01 User Manual - PLPOST


11

PLPAK V1.01 User Manual - PLPOST


13

PLPAK V1.01 User Manual - PLPOST


15

PLPAK V1.01 User Manual - PLPOST


14

PLPAK V1.01 User Manual - PLPOST